#!/bin/zsh -e
autoload colors
colors

if [ "$#" -lt 1 ]; then
	echo "Usage: $0 {remote host, ...}"
	exit 1
fi

makepkg -f
deploypkg.zsh $(makepkg --packagelist) $*

pkgname=$(grep ^pkgname PKGBUILD | awk -F= '{print $2}')

for vm in $*; do
	title=$(ssh $vm grub-list.zsh -e | grep $pkgname$)
	ssh $vm "sudo grub-reboot \"$title\""
done

echo

vm.zsh reboot $*
echo

tags=($(python /home/anna/bin/colors/vm.py $*))
for ((i=1; i<=$#; i++)); do
	echo "${tags[i]} $fg_bold[default]$(ssh ${@[i]} uname -rsn)$reset_color"
done
