#!/bin/zsh
colors="$HOME/bin/colors"

if [ "$#" -lt 2 ]; then
	echo "Usage: $0 /path/to/package {remote host, ...}"
	exit 1
fi

pkg=$(basename $1)
shift

function deploy_package() {
	ssh $1 "mkdir -pv pkg" 2>&1 | sed -e "s/^/$2 /"
	script -q -c "scp $pkg $1:pkg/ 2>&1" 2>&1 | sed -e "s/^/$2 /"
	ssh $1 "sudo pacman --noconfirm -U pkg/$pkg" | python $colors/pacman.py $2
}

$HOME/bin/vm.zsh boot $*
tags=($(python $colors/vm.py $*))
for ((i=1; i<=$#; i++)); do
	deploy_package ${@[i]} ${tags[i]} &
done

wait $(jobs -pr)
