#!/bin/zsh -e

if [ "$#" -ne 3 ]; then
	echo "Usage: $0 {rxe,siw} {client} {server}"
	exit 1
fi

RDMA=$1
CLIENT=$2
SERVER=$3

IFS=$'\n'
BIN=$HOME/bin
tags=($(python $BIN/colors/vm.py $CLIENT $SERVER))

$BIN/rdma.zsh $RDMA $CLIENT $SERVER

ssh $SERVER "rping -s -C 1 -v 2>&1" | sed "s/^/${tags[2]} /" &
sleep 1
ssh $CLIENT "rping -c -C 1 -S 40 -v -a $SERVER 2>&1" | sed "s/^/${tags[1]} /"

wait $(jobs -pr)
