#!/bin/zsh

zparseopts -D -K -server:=SERVER -opts:=OPTS -user:=USER \
		 -export:=EXPORT -mountpoint:=MOUNTPOINT \
		 -scratch:=SCRATCH -scratchmnt:=SCRATCHMNT

cd /home/${USER[-1]}/xfstests-dev
export TEST_DEV=${SERVER[-1]}:${EXPORT[-1]}/${USER[-1]}/xfstests
export TEST_DIR=${MOUNTPOINT[-1]}
export SCRATCH_DEV=${SERVER[-1]}:${SCRATCH[-1]}/${USER[-1]}/xfstests
export SCRATCH_MNT=${SCRATCHMNT[-1]}
export NFS_MOUNT_OPTIONS="-o ${OPTS[-1]}"

echo "TIME          -- $(date)"
echo "TEST_DEV      -- $TEST_DEV"
echo "TEST_DIR      -- $TEST_DIR"
echo "SCRATCH_DEV   -- $SCRATCH_DEV"
echo "SCRATCH_MNT   -- $SCRATCH_MNT"
echo "MOUNT_OPTIONS -- ${OPTS[-1]}"
if [ ! -z "$*" ]; then
	echo "XFSTESTS_ARGS -- $*"
fi
./check -nfs $*
