#!/bin/zsh
SERVER=$1
EXPORT=$2
MOUNTPOINT=$3
USER=$4

if [ "$#" -lt 4 ]; then
	echo "Usage: $0 {server} {export} {mountpoint} {user}"
	exit 1
fi

mkdir -p $MOUNTPOINT

TRAPEXIT() {
	umount $MOUNTPOINT
}

mount -o sec=sys $SERVER:$EXPORT $MOUNTPOINT

for proto in tcp rdma; do
	for vers in 3 4 41 42; do
		mkdir -p -m 777 $MOUNTPOINT/$USER/nfsv$vers$proto
	done
done
